Skip to navigation

Get Available Shipping Rates for Quote

Retrieves all shipping rates available to a specific quote based on the provided quoteId.

This endpoint only returns the static and real-time shipping methods available to a quote based on its product specifications and shipping address. Use the Get All B2B Quote Custom Shipping Methods endpoint to retrieve information on custom shipping methods.

This endpoint uses /shipping-rates (plural). Don’t confuse it with the Select Shipping Rate for Quote and Remove Selected Shipping Rate from Quote endpoints, which use /shipping-rate (singular). Using the wrong URL returns a 405 - Method Not Allowed error.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

quote_idintegerRequired
The internal numeric ID of the sales quote.

Response

OK
codeintegerOptionalDefaults to 200
HTTP Response Code
datalist of objectsOptional
metaobjectOptional

Errors

404
Not Found Error